local appr = import 'appr.libsonnet';

{
# Read all files in a directory
# @todo(ant31): replace walk by listdir
load_stack_files(path):: (
  if appr.path_exists(path)
  then {[appr.path.basename(file)]: appr.readfile(file, encode=true) for file in appr.walkdir(path)}
  else {}
),

# Create a patch to add/update annotation with a rand value.
# Use to force a Deployment rolling-update
rand_label():: {metadata+: {annotations+: {'resource.appr/rand': appr.randAlphaNum()}}},

}
